### Method

# Foundry SearchProvider search

#### Declaration [src]

    DexFuture*
    foundry_search_provider_search (
      FoundrySearchProvider* self,
      FoundrySearchRequest* request
    )

#### Description

No description available.

#### Parameters

`request`

  Type: `FoundrySearchRequest`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundrySearchResult` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.